Overview
GET/workspaces

List the caller's workspaces (individual first, then orgs, then teams)

List workspaces.

Auth: bearerAuth — calls run as the authenticated user.

Responses
200

The caller workspaces

  • slugstring

    Routable workspace slug (caller-scoped)

  • namestring
  • type"individual" | "organization" | "team"
Example
[
  {
    "slug": "string",
    "name": "string",
    "type": "individual"
  }
]
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/workspaces" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/workspaces", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();